> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxeme.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create call (version 3)

> In this alternative version, the a short form of the webhook is explicitly provided in the payload.

Note that when an application_sid is NOT provided, you must explicitly specify the speech vendor properties in the payload (see example below).



## OpenAPI

````yaml post /v1/Accounts/{account_sid}/Calls
openapi: 3.0.3
info:
  title: Voxeme API
  description: >-
    The Voxeme account-level REST API allows a user to create and manage calls,
    applications, speech credentials, carriers, and other resources that are
    associated with their account.


    ## Authentication


    The API uses Bearer authentication; i.e., a bearer token that must be
    provided in the Authorization header, e.g.


    `Authorization: Bearer 'your-api-token'`


    You can generate an api token for your account in the hosted portal.


    ## HTTP response codes


    - POST requests will return a 201 status on success and a JSON payload that
    includes a `sid` property referencing the unique identifier of the resource
    that has been created.
        
    - UPDATE and DELETE requests will return a 204 status on success with no
    body
        
    - GET requests will return a 200 response with a JSON payload
        

    ## API version


    The current version of the api is v1.
  version: 1.0.0
  contact: {}
servers:
  - url: ''
security: []
tags:
  - name: v1
    description: The current API version is v1.
  - name: Alerts
    description: >-
      Alerts are generated when some element of your configuration is not
      working properly; for instance, if you have configured a webhook that is
      unreachable, or you try to use a speech service without having configured
      speech credentials.
  - name: Applications
    description: >-
      Applications represent the call handling rules to be applied to voice
      calls either made or received by the platform. Applications can be
      created, queried, updated, and destroyed via the API.


      Applications have the following properties:


      |property|description|

      |--------|-----------|

      |account_sid|identifies the Account this application belongs to|

      |application_sid|unique identifier for the application|

      |name|user-specified name of application|

      |call_hook|web callback to invoke for new calls|

      |call_status_hook|web callback to invoke for call status notifications|

      |speech_recognizer_vendor|vendor to use for speech recognition. Default:
      google|

      |speech_recognizer_language|default language to use for speech
      recognition, if not specified in the 'gather' or 'transcribe' verbs.
      Default: en-US|

      |speech_synthesis_vendor|vendor to use for text to speech. Default:
      google|

      |speech_synthesis_voice|default voice to use for text to speech, if not
      specified in the 'say' verb. Default: en-US-Wavenet-C|
  - name: Calls
    description: >-
      Calls that are active or recently ended (within 10 minutes) can be
      retrieved and managed via the api.  


      > Note: this api should not be used to retrieve call detail records.  For
      that, please use the /RecentCalls api
  - name: RecentCalls
    description: >-
      RecentCalls represent call detail records (CDRs) that are kept in the
      database.  Currently, 30 days of CDRs are retained in the time-series
      database.
  - name: SpeechCredentials
    description: >-
      SpeechCredentials represent AWS or Google tokens that are associated with
      your account for use in speech synthesis and recognition operations.


      > Note: you are currently restricted to a max of two SpeechCredentials -
      one for AWS and one for Google
  - name: VoipCarriers
    description: >-
      VoipCarriers represent SIP trunking providers that are associated with
      your account for use in placing and receiving PSTN calls.
  - name: SipGateways
    description: >-
      A SipGateway represents a single IP address or range of IPs that are
      associated with a VoipCarrier (e.g. the VoipCarrier places and receives
      calls from these IPs).


      When you create a VoipProvider, you need to also add the SipGateways for
      that provider in order for incoming calls to be properly classified and
      for outbound calls to be properly routed.
paths:
  /v1/Accounts/{account_sid}/Calls:
    parameters:
      - name: account_sid
        in: path
        required: true
        schema:
          type: string
          example: 5f8e8f60-4771-44cb-92a6-94ea66df0450
    post:
      tags:
        - v1
        - Calls
      summary: Create call (version 3)
      description: >-
        In this alternative version, the a short form of the webhook is
        explicitly provided in the payload.


        Note that when an application_sid is NOT provided, you must explicitly
        specify the speech vendor properties in the payload (see example below).
      operationId: createCallVersion3
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                call_hook:
                  type: string
                  example: https://public-apps.dev.voxeme.com/hello-world
                call_status_hook:
                  type: string
                  example: https://public-apps.dev.voxeme.com/call-status
                from:
                  type: string
                  example: '15083778299'
                speech_recognizer_vendor:
                  type: string
                  example: Google
                speech_synthesis_language:
                  type: string
                  example: en-US
                speech_synthesis_vendor:
                  type: string
                  example: google
                speech_synthesis_voice:
                  type: string
                  example: Wavenet-A
                to:
                  type: object
                  properties:
                    number:
                      type: string
                      example: '15089084809'
                    type:
                      type: string
                      example: phone
            example:
              call_hook: https://public-apps.dev.voxeme.com/hello-world
              call_status_hook: https://public-apps.dev.voxeme.com/call-status
              from: '15083778299'
              speech_recognizer_vendor: Google
              speech_synthesis_language: en-US
              speech_synthesis_vendor: google
              speech_synthesis_voice: Wavenet-A
              to:
                number: '15089084809'
                type: phone
      responses:
        '201':
          description: Create call (version 3)
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '46'
            Date:
              schema:
                type: string
                example: Sun, 30 May 2021 12:01:38 GMT
            ETag:
              schema:
                type: string
                example: W/"2e-VqA+F+KExXLNBcPIZ3UlOeJJmt0"
            Server:
              schema:
                type: string
                example: nginx/1.14.2
            X-Powered-By:
              schema:
                type: string
                example: Express
          content:
            application/json:
              schema:
                type: object
                properties:
                  callId:
                    type: string
                    example: fb1893f3-b547-123c-1c99-0e24c2fb464d
                  sid:
                    type: string
                    example: a4941f23-66b8-4b52-b495-94192adee7ec
              examples:
                Create call (version 3):
                  value:
                    callId: fb1893f3-b547-123c-1c99-0e24c2fb464d
                    sid: a4941f23-66b8-4b52-b495-94192adee7ec

````